[#ftl attributes={"generated.type":"blueprint.fragment"}]

    <cm:property-placeholder persistent-id="[=configurationPid]" update-strategy="reload" id="[=configurationPid].placeholder" 
    		placeholder-prefix="[=placeholderPrefix]" placeholder-suffix="}"
    		xmlns:cm="http://aries.apache.org/blueprint/xmlns/blueprint-cm/v1.1.0">
    </cm:property-placeholder>
    
	<!-- BEGIN placeholders for Camel -->
	<!-- make property placeholder available in Camel context -->
	
	<bean id="[=configurationPid].placeholder.wrapper" class="ru.entaxy.platform.core.support.runtime.camel.CmPropertiesAccessorFunction" activation="eager">
    	<property name="bundleContext" ref="blueprintBundleContext"/>
    	<property name="persistentId" value="[=configurationPid]" />
    	<property name="prefix" value="[=placeholderPrefix[1..placeholderPrefix?length-2]]" />
    	<property name="wrappedPlaceholder" ref="[=configurationPid].placeholder" />
    </bean>
    
	<propertyPlaceholder id="propertiesForCamel">
		<propertiesFunction ref="[=configurationPid].placeholder.wrapper"/>
	</propertyPlaceholder>	    
	
	<!-- END placeholders for Camel -->    
