[#ftl attributes={"generated.type":"blueprint.fragment"}]
<errorHandlerRef>[=properties.errorHandlerType]</errorHandlerRef>
<errorHandler id="NoErrorHandler" type="NoErrorHandler"/>
<errorHandler id="DefaultErrorHandler" type="DefaultErrorHandler" redeliveryPolicyRef="redeliveryPolicyProfileBean"/>
<errorHandler id="DeadLetterChannel" type="DeadLetterChannel" deadLetterUri="[=properties.deadLetterUri]" redeliveryPolicyRef="redeliveryPolicyProfileBean"/>
<redeliveryPolicyProfile id="redeliveryPolicyProfileBean"
                         [#if properties.maximumRedeliveries??]maximumRedeliveries="[=properties.maximumRedeliveries]"[/#if]
                         [#if properties.redeliveryDelay??]redeliveryDelay="[=properties.redeliveryDelay]"[/#if]
                         [#if properties.asyncDelayedRedelivery??]asyncDelayedRedelivery="[=properties.asyncDelayedRedelivery]"[/#if]
                         [#if properties.backOffMultiplier??]backOffMultiplier="[=properties.backOffMultiplier]"[/#if]
                         [#if properties.useExponentialBackOff??]useExponentialBackOff="[=properties.useExponentialBackOff]"[/#if]
                         [#if properties.collisionAvoidanceFactor??]collisionAvoidanceFactor="[=properties.collisionAvoidanceFactor]"[/#if]
                         [#if properties.useCollisionAvoidance??]useCollisionAvoidance="[=properties.useCollisionAvoidance]"[/#if]
                         [#if properties.maximumRedeliveryDelay??]maximumRedeliveryDelay="[=properties.maximumRedeliveryDelay]"[/#if]
                         [#if properties.retriesExhaustedLogLevel??]retriesExhaustedLogLevel="[=properties.retriesExhaustedLogLevel]"[/#if]
                         [#if properties.retryAttemptedLogLevel??]retryAttemptedLogLevel="[=properties.retryAttemptedLogLevel]"[/#if]
                         [#if properties.retryAttemptedLogInterval??]retryAttemptedLogInterval="[=properties.retryAttemptedLogInterval]"[/#if]
                         [#if properties.logRetryAttempted??]logRetryAttempted="[=properties.logRetryAttempted]"[/#if]
                         [#if properties.logStackTrace??]logStackTrace="[=properties.logStackTrace]"[/#if]
                         [#if properties.logRetryStackTrace??]logRetryStackTrace="[=properties.logRetryStackTrace]"[/#if]
                         [#if properties.logHandled??]logHandled="[=properties.logHandled]"[/#if]
                         [#if properties.logNewException??]logNewException="[=properties.logNewException]"[/#if]
                         [#if properties.logContinued??]logContinued="[=properties.logContinued]"[/#if]
                         [#if properties.logExhausted??]logExhausted="[=properties.logExhausted]"[/#if]
                         [#if properties.logExhaustedMessageHistory??]logExhaustedMessageHistory="[=properties.logExhaustedMessageHistory]"[/#if]
                         [#if properties.logExhaustedMessageBody??]logExhaustedMessageBody="[=properties.logExhaustedMessageBody]"[/#if]
                         [#if properties.disableRedelivery??]disableRedelivery="[=properties.disableRedelivery]"[/#if]
                         [#if properties.delayPattern??]delayPattern="[=properties.delayPattern]"[/#if]
                         [#if properties.allowRedeliveryWhileStopping??]allowRedeliveryWhileStopping="[=properties.allowRedeliveryWhileStopping]"[/#if]
                         [#if properties.exchangeFormatterRef??]exchangeFormatterRef="[=properties.exchangeFormatterRef]"[/#if]
                         />
