[#ftl attributes={"generated.type":"blueprint"}]
<?xml version="1.0" encoding="UTF-8"?>
<blueprint xmlns="http://www.osgi.org/xmlns/blueprint/v1.0.0"
           xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
           xsi:schemaLocation="http://www.osgi.org/xmlns/blueprint/v1.0.0 https://www.osgi.org/xmlns/blueprint/v1.0.0/blueprint.xsd">

[#import "templates:object-commons/common-utils.ftl" as utils]
[#include "customObjectReferences.ftl" ]

[#assign queueOrTopicName = properties.queueOrTopicName]
[#if properties.rawValues.queueOrTopicName?? && properties.rawValues.queueOrTopicName?is_string]
	[#if properties.rawValues.queueOrTopicName?contains("${") && properties.rawValues.queueOrTopicName?contains("}")]
		[#assign dynamic = true]
		[#assign queueOrTopicName = "default"]
	[/#if]
[/#if]

    <camelContext id="[=objectId]" xmlns="http://camel.apache.org/schema/blueprint">
    	<route id="[=objectId].output-route">
    		<from uri="direct:entry-cascade-finish" />
			[#if dynamic?? && dynamic]
			<setHeader name="CamelJmsDestinationName">
				<simple>[=utils.convertConfigValue(properties.queueOrTopicName)]</simple>
			</setHeader>
			[/#if]
    		<to uri="[=properties.entaxyOriginConnection]:[=utils.convertConfigValue(properties.queueOrTopicType)]:[=utils.convertConfigValue(queueOrTopicName)][=utils.createQueryString(properties, "camel_", true)]" />
    	</route>
	</camelContext>           
           
</blueprint>
