[#if properties.camel_headerFilterStrategy??]
	[#if properties.camel_headerFilterStrategy == "custom"]
		[#assign headerFilterStrategyReference = properties.headerFilterStrategyReference]
	[#else]
		[#assign headerFilterStrategyReference = "headerFilterStrategy"]
	[/#if]
	[#global properties = properties + {"camel_headerFilterStrategy": "#[=headerFilterStrategyReference]"} ]
[/#if]
[#if properties.camel_cookieStore??]
	[#if properties.camel_cookieStore == "custom"]
		[#assign cookieStoreReference = properties.cookieStoreReference]
	[#else]
		[#assign cookieStoreReference = "cookieStore"]
	[/#if]
	[#global properties = properties + {"camel_cookieStore": "#[=cookieStoreReference]"} ]
[/#if]
[#if properties.camel_clientConnectionManager?? && properties.camel_clientConnectionManager == "custom"]
	[#global properties = properties + {"camel_clientConnectionManager": "#[=properties.clientConnectionManagerReference]"} ]
[/#if]
[#if properties.camel_x509HostnameVerifier??]
	[#if properties.camel_x509HostnameVerifier == "custom"]
		[#assign x509HostnameVerifierReference = properties.x509HostnameVerifierReference]
	[#else]
		[#assign x509HostnameVerifierReference = "x509HostnameVerifier"]
	[/#if]
	[#global properties = properties + {"camel_x509HostnameVerifier": "#[=x509HostnameVerifierReference]"} ]
[/#if]
[#if properties.camel_sslContextParameters??]
	[#if properties.camel_sslContextParameters == "custom"]
		[#assign sslContextParametersReference = properties.sslContextParametersReference]
	[#else]
		[#assign sslContextParametersReference = "sslContextParameters"]
	[/#if]
	[#global properties = properties + {"camel_sslContextParameters": "#[=sslContextParametersReference]"} ]
[/#if]
[#if properties.camel_cookieStore?? && properties.camel_cookieStore == "custom"]
	[#global properties = properties + {"camel_cookieStore": "#[=properties.cookieStoreReference]"} ]
[/#if]
[#if properties.camel_clientConnectionManager?? && properties.camel_clientConnectionManager == "custom"]
	[#global properties = properties + {"camel_clientConnectionManager": "#[=properties.clientConnectionManagerReference]"} ]
[/#if]
[#if properties.camel_httpBinding?? && properties.camel_httpBinding == "custom"]
	[#global properties = properties + {"camel_httpBinding": "#[=properties.httpBindingReference]"} ]
[/#if]
[#if properties.camel_httpClientConfigurer?? && properties.camel_httpClientConfigurer == "custom"]
	[#global properties = properties + {"camel_httpClientConfigurer": "#[=properties.httpClientConfigurerReference]"} ]
[/#if]
[#if properties.camel_httpConfiguration?? && properties.camel_httpConfiguration == "custom"]
	[#global properties = properties + {"camel_httpConfiguration": "#[=properties.httpConfigurationReference]"} ]
[/#if]
[#if properties.camel_httpContext?? && properties.camel_httpContext == "custom"]
	[#global properties = properties + {"camel_httpContext": "#[=properties.httpContextReference]"} ]
[/#if]