[#ftl attributes={"generated.type":"blueprint"}]
<?xml version="1.0" encoding="UTF-8"?>
<blueprint xmlns="http://www.osgi.org/xmlns/blueprint/v1.0.0"
           xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
           xsi:schemaLocation="http://www.osgi.org/xmlns/blueprint/v1.0.0 https://www.osgi.org/xmlns/blueprint/v1.0.0/blueprint.xsd">
           
[#import "templates:object-commons/common-utils.ftl" as utils]
[#include "customObjectReferences.ftl" ]

    <camelContext id="[=objectId]" xmlns="http://camel.apache.org/schema/blueprint">
    	<route id="[=objectId].output-route">
    		<from uri="direct:entry-cascade-finish" />
			[#if properties.removeServiceHeadersBeforeSending]
				<removeHeaders pattern="Camel.+|operationName"/>
			[/#if]
			<to uri="[=utils.convertConfigValue(properties.httpUri)][=utils.createQueryString(properties, "camel_", true, ["fieldToExclude1","fieldToExclude2"])]" />
    	</route>
	</camelContext>
           
</blueprint>

