[#ftl attributes={"generated.type":"blueprint"}]
<?xml version="1.0" encoding="UTF-8"?>
<blueprint xmlns="http://www.osgi.org/xmlns/blueprint/v1.0.0"
           xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
           xsi:schemaLocation="http://www.osgi.org/xmlns/blueprint/v1.0.0 https://www.osgi.org/xmlns/blueprint/v1.0.0/blueprint.xsd">
[#import "templates:object-commons/common-utils.ftl" as utils]    
<!-- 

	factoryId: artifact-repository
	factoryType: entaxy.runtime.repository
	outputType: init 

  -->
	<bean id="repository-[=objectId]" class="ru.entaxy.platform.core.artifact.repository.impl.RepositoryConfigurableHelper" activation="eager">
		[=utils.createBeanProperties(properties, "repo_", true, ["##publish"])]
	</bean>
	
	<service id="repository-[=objectId]-service" ref="repository-[=objectId]" interface="ru.entaxy.platform.core.artifact.repository.RepositoryDescriptor" activation="eager">
		<service-properties>
			<entry key="repository.id" value="[=objectId]" />
		</service-properties>
	</service>			                      
		                      	                      	                      
</blueprint>
