[#ftl attributes={"generated.type":"blueprint.fragment"}]
    <reference id="dataSource" interface="javax.sql.DataSource" filter="(osgi.jndi.service.name=[=properties.dataSource])"
               availability="mandatory"/>

    <bean id="txManager" class="org.springframework.jdbc.datasource.DataSourceTransactionManager">
        <property name="dataSource" ref="dataSource"/>
    </bean>

    <bean id="[=properties.ownerId]-aggregation-repo" class="[=properties.className]">
        <property name="repositoryName" value="[=properties.repositoryName]"/>
        <property name="transactionManager" ref="txManager"/>
        <property name="dataSource" ref="dataSource"/>
        <property name="maximumRedeliveries" value="[=properties.maximumRedeliveries]"/>
        <property name="deadLetterUri" value="[=properties.deadLetterUri]"/>
    </bean>