[#ftl attributes={"generated.type":"factory"}]
{
  "factory": {
    "id": "[=properties.serviceId]-soap-connector-out",
	"displayName": "SERVICE :: SOAP :: [=properties.serviceId] :: OUT",
    "type": "entaxy.runtime.connector",
    "description": "Factory abstract-service-soap-connector-out of entaxy.runtime.connector",
    "parent": "abstract-service-soap-connector-out",
    "isAbstract": false
  },
  "entaxy.runtime.connector": {},
  "fields": {
  	"serviceId": {
  		"type": "String", 
  		"required": true,
  		"isHidden": true,
  		"defaultValue": "[=properties.serviceId]"
  	},
  	"pre-output": {
		"@RESOURCE": {
			"@INHERIT": {
				"preprocess": "append"
			},
			"_preprocess":[
				{
					"processor": "xslt",
					"source":"entaxy-file-internal:routes-common/soap-operation-router.xslt",
					"parameters": {
						"profileName": {				
							"@CALCULATED": {
								"expression": "${#OWNER#.properties.systemName}",
								"lazy": false
							}
						}
					}
				}
				
			],
			"postprocess": [
				{
				  	"processor": "component-library",
					"parameters": {
						"serviceType": "[=properties.serviceType]"
					}
				}			
			]
			
		},
  		"defaultValue": {
				"@RESOURCE": {
					"provider": "service-resources",
					"location": "[=properties.location]",
					"endType": "String",
					"format": "base64"
				}
			}
		}
  },
  "outputs": {
    "init": {
      "isDefault": true,
      "fields": {
      	"serviceId": {}
      },
      "config": {
        "configurable": false
      }
    }
  }
}
