[#ftl attributes={"generated.type":"blueprint.fragment"}]
[#--

    ~~~~~~licensing~~~~~~
    factory-provider-archetype
    ==========
    Copyright (C) 2020 - 2021 EmDev LLC
    ==========
    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

         http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
    ~~~~~~/licensing~~~~~~

--]

<!-- 

	factoryId: jaas-login-module-empty
	factoryType: entaxy.security.jaas.loginmodule
	outputType: init 

  -->
        <jaas:module className="org.apache.karaf.jaas.modules.properties.PropertiesLoginModule"
                     flags="required" xmlns:jaas="http://karaf.apache.org/xmlns/jaas/v1.1.0">
            users =./etc/entaxy-users.properties
			encryption.enabled = true
			encryption.name = jasypt
			encryption.algorithm = SHA-256
			encryption.encoding = base64
			encryption.iterations = 100000
			encryption.saltSizeBytes = 16
			encryption.prefix = {CRYPT}
			encryption.suffix = {CRYPT}
        </jaas:module>