[#ftl]
    <bean id="[=objectId]" class="org.apache.camel.component.jms.JmsComponent">
        [=utils.createBeanProperties(properties, "camel_", true)]
        <property name="connectionFactory" ref="pooledConnectionFactory"/>
    </bean>

    <bean id="pooledConnectionFactory" class="org.messaginghub.pooled.jms.JmsPoolConnectionFactory" init-method="start" destroy-method="stop">
        <property name="maxConnections" value="[=properties.maxConnections]"/>
        <property name="maxSessionsPerConnection" value="[=properties.maxSessionsPerConnection]"/>
        <property name="connectionFactory" ref="artemisConnectionFactory"/>
    </bean>

    <bean id="artemisConnectionFactory" class="org.apache.activemq.artemis.jms.client.ActiveMQJMSConnectionFactory">
        <argument index="0" value="[=properties.connectionString]"/>
        <argument index="1" value="[=properties.camel_username!]"/>
        <argument index="2" value="[=properties.camel_password!]"/>
    </bean>
