[#ftl attributes={"generated.type":"blueprint.fragment"}]
<?xml version="1.0" encoding="UTF-8"?>
<entaxy:object-route xmlns="http://camel.apache.org/schema/blueprint" xmlns:blueprint="http://www.osgi.org/xmlns/blueprint/v1.0.0" xmlns:entaxy="http://www.entaxy.ru/schemas/1.0" xmlns:m="http://www.entaxy.ru/schemas/entaxy-mediators/1.0">
	<m:operation-router>
[#if properties.service??]
	[#if properties.service.operations??]
		[#list properties.service.operations as path, operationData]
			[#list operationData as verb, operation]
		<m:operation name="[=operation.operationIdCamelCase]">
			<!-- path: [=path]; verb: [=verb]; operationId: [=operation.original!"isn't set"]-->
	  		<m:log message="Called operation: ${headers.operationName}" loggingLevel="INFO"/>
	  		<setHeader name="Exchange.HTTP_METHOD">
				<constant>[=verb]</constant>
			</setHeader>
	  		[#if operation.pathParameterized?? && operation.pathParameterized?boolean == true]
			<setHeader name="Exchange.HTTP_PATH">
				<simple>[=operation.pathProcessed]</simple>
			</setHeader>
			[#else]
			<setHeader name="Exchange.HTTP_PATH">
				<constant>[=path]</constant>
			</setHeader>
			[/#if]
			[#if operation.contentType??]
			<setHeader name="Content-Type">
				<constant>[=operation.contentType]</constant>
			</setHeader>
			[/#if]
	  	</m:operation>
	  		[/#list]
		[/#list]
	  	<m:unknown-operation>
	  		<m:log message="Unknown operation: ${headers.operationName}" loggingLevel="WARN"/>
	  	</m:unknown-operation>
	[/#if]
[/#if]
	</m:operation-router>
</entaxy:object-route>
