[#ftl attributes={"generated.type":"blueprint.fragment"}]
<?xml version="1.0" encoding="UTF-8"?>
<entaxy:object-route xmlns="http://camel.apache.org/schema/blueprint" xmlns:blueprint="http://www.osgi.org/xmlns/blueprint/v1.0.0" xmlns:entaxy="http://www.entaxy.ru/schemas/1.0" xmlns:m="http://www.entaxy.ru/schemas/entaxy-mediators/1.0">
[#if properties.service??]
	[#if properties.service.operations?? && properties.service.operations?size > 0]
	<m:set-operation>[=properties.service.operations?values[0]?values[0].operationIdCamelCase]</m:set-operation>
	<m:operation-router>
		[#list properties.service.operations as path, operationData]
			[#list operationData as verb, operation]
		<m:operation name="[=operation.operationIdCamelCase]">
			<!-- path: [=path]; verb: [=verb]; operationId: [=operation.original!"isn't set"]-->
	  		<m:log message="Called operation: ${headers.operationName}" loggingLevel="INFO"/>
	  		[#if operation.pathParameterized?? && operation.pathParameterized?boolean == true
	  				&& operation.pathParameters??]
				[#list operation.pathParameters as parameter]
			<setProperty name="[=parameter]">
				<simple>undefined</simple>
			</setProperty>
				[/#list]
			[/#if]
	  	</m:operation>
	  		[/#list]
		[/#list]
	  	<m:unknown-operation>
	  		<m:log message="Unknown operation: ${headers.operationName}" loggingLevel="WARN"/>
	  	</m:unknown-operation>
	</m:operation-router>
	[/#if]
[/#if]
</entaxy:object-route>