[#ftl attributes={"generated.type":"blueprint"}]
<?xml version="1.0" encoding="UTF-8"?>
<blueprint xmlns="http://www.osgi.org/xmlns/blueprint/v1.0.0"
           xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
           xsi:schemaLocation="http://www.osgi.org/xmlns/blueprint/v1.0.0 https://www.osgi.org/xmlns/blueprint/v1.0.0/blueprint.xsd">
	
	<reference id="resource-service-ref" interface="ru.entaxy.esb.resources.EntaxyResourceService"/>

	<reference id="[=properties.resourceProvider]-ref" interface="ru.entaxy.esb.resources.EntaxyResourceProvider"
           filter="(protocol=[=properties.resourceProvider])"/>
           	
	<bean id="secure-vault-[=objectId]" class="ru.entaxy.security.vault.runtime.resourcevault.ResourceBasedVault" activation="eager" init-method="init">
		<property name="resourceProtocol" value="[=properties.resourceProvider]" />
		<property name="resourceProvider" ref="[=properties.resourceProvider]-ref" />
		<property name="resourceService" ref="resource-service-ref" />
		<property name="path" value="[=properties.path]" />
	</bean>           
	                                 
   <service interface="ru.entaxy.security.vault.runtime.EntaxyVault" ref="secure-vault-[=objectId]">
      <service-properties>
         <entry key="name" value="[=objectId]"/>
      </service-properties>
   </service>		                                 
	                                 
</blueprint>
